#!/bin/bash
##################################################################################
#
#                               gen_rec.sh
# 
# Sub-program of mp3gen
# Usage: gen_rec.sh mp3-file
#
# Uses mp3info program to generate a database record as specified in the MP3DBII
# database project SPEC file for the .mp3 file given as cmd line argument.
#
# Currently only tested with
# MP3Info 0.8.4 Copyright (C) 2001 Cedric Tefft and Ricardo Cerqueira
#
#
# Author: Christian Weber
##################################################################################
#
fstring="%f|%t|%a|%l|%y|%c|%g|%r|%m:%s|%k\n"
outstring=`mp3info -p "$fstring" "$1"`
outstring=${outstring}\|`dirname "$1"`
echo $outstring

exit 0
